searchData={"items":[{"type":"module","title":"SilentVideo","doc":"","ref":"SilentVideo.html"},{"type":"function","title":"SilentVideo.convert_mobile/3","doc":"Convert using high compatibility settings for mobile devices.\n\nOptions:\n\n* `:width` - An integer width for the output video. Defaults to input width.\n* `:height` - An integer height for the output video. Defaults to input height.\n* `:max_width` - An integer maximum width for the output video.\n* `:max_height` - An integer maximum height for the output video.\n* `:bitrate` - An integer bitrate for the output video. Defaults to 384_000.\n* `:framerate` - An integer framerate (frames per second). Defaults to 13.","ref":"SilentVideo.html#convert_mobile/3"},{"type":"function","title":"SilentVideo.convert_mobile_2/3","doc":"Alternate high compatibility settings for mobile devices.\n\nOptions:\n\n* `:width` - An integer width for the output video. Defaults to input width.\n* `:height` - An integer height for the output video. Defaults to input height.\n* `:max_width` - An integer maximum width for the output video.\n* `:max_height` - An integer maximum height for the output video.\n* `:bitrate` - An integer bitrate for the output video. Defaults to 250_000.\n* `:framerate` - An integer framerate (frames per second). Defaults to input framerate.","ref":"SilentVideo.html#convert_mobile_2/3"},{"type":"function","title":"SilentVideo.convert_tablet/3","doc":"Settings for tablets.\n\nOptions:\n\n* `:width` - An integer width for the output video. Defaults to input width.\n* `:height` - An integer height for the output video. Defaults to input height.\n* `:max_width` - An integer maximum width for the output video.\n* `:max_height` - An integer maximum height for the output video.\n* `:bitrate` - An integer bitrate for the output video. Defaults to 400_000.\n* `:framerate` - An integer framerate (frames per second). Defaults to input framerate.","ref":"SilentVideo.html#convert_tablet/3"},{"type":"function","title":"SilentVideo.convert_web/3","doc":"Settings for general web streaming.\n\nOptions:\n\n* `:width` - An integer width for the output video. Defaults to input width.\n* `:height` - An integer height for the output video. Defaults to input height.\n* `:max_width` - An integer maximum width for the output video.\n* `:max_height` - An integer maximum height for the output video.\n* `:bitrate` - An integer bitrate for the output video. Defaults to 500_000.\n* `:framerate` - An integer framerate (frames per second). Defaults to input framerate.","ref":"SilentVideo.html#convert_web/3"},{"type":"module","title":"SilentVideo.FFmpexCommon","doc":"","ref":"SilentVideo.FFmpexCommon.html"},{"type":"function","title":"SilentVideo.FFmpexCommon.compatible_pixel_format/5","doc":"Use yuv420p pixel format instead of FFmpeg default yuv444p.\nRequires width and height divisible by 2, so adds \"-vf scale=...\" option.","ref":"SilentVideo.FFmpexCommon.html#compatible_pixel_format/5"},{"type":"function","title":"SilentVideo.FFmpexCommon.remove_audio/1","doc":"Remove audio track.","ref":"SilentVideo.FFmpexCommon.html#remove_audio/1"},{"type":"function","title":"SilentVideo.FFmpexCommon.streamable/1","doc":"Move the index to the beginning of the file so it can be streamed.","ref":"SilentVideo.FFmpexCommon.html#streamable/1"},{"type":"module","title":"SilentVideo.Presets","doc":"","ref":"SilentVideo.Presets.html"},{"type":"function","title":"SilentVideo.Presets.mobile_1/3","doc":"A preset targeting Android and iOS devices.\n\nExplicitly specifies a lot of options to pin down behavior,\nalthough it may or may not be safer to omit some of these and use\na predefined FFmpeg profile instead.\n\nOptions:\n\n* `:width` - An integer width for the output video. Defaults to input width.\n* `:height` - An integer height for the output video. Defaults to input height.\n* `:max_width` - An integer maximum width for the output video.\n* `:max_height` - An integer maximum height for the output video.\n* `:bitrate` - An integer bitrate for the output video. Defaults to 384_000.\n* `:framerate` - An integer framerate (frames per second). Defaults to 13.","ref":"SilentVideo.Presets.html#mobile_1/3"},{"type":"function","title":"SilentVideo.Presets.mobile_2/3","doc":"Lower quality video targeting compatibility for older mobile devices.\n\nOptions:\n\n* `:width` - An integer width for the output video. Defaults to input width.\n* `:height` - An integer height for the output video. Defaults to input height.\n* `:max_width` - An integer maximum width for the output video.\n* `:max_height` - An integer maximum height for the output video.\n* `:bitrate` - An integer bitrate for the output video. Defaults to 250_000.\n* `:framerate` - An integer framerate (frames per second). Defaults to input framerate.","ref":"SilentVideo.Presets.html#mobile_2/3"},{"type":"function","title":"SilentVideo.Presets.tablet_1/3","doc":"Targeting tablet devices.\n\nOptions:\n\n* `:width` - An integer width for the output video. Defaults to input width.\n* `:height` - An integer height for the output video. Defaults to input height.\n* `:max_width` - An integer maximum width for the output video.\n* `:max_height` - An integer maximum height for the output video.\n* `:bitrate` - An integer bitrate for the output video. Defaults to 400_000.\n* `:framerate` - An integer framerate (frames per second). Defaults to input framerate.","ref":"SilentVideo.Presets.html#tablet_1/3"},{"type":"function","title":"SilentVideo.Presets.web_1/3","doc":"Video intended for web streaming.\n\nOptions:\n\n* `:width` - An integer width for the output video. Defaults to input width.\n* `:height` - An integer height for the output video. Defaults to input height.\n* `:max_width` - An integer maximum width for the output video.\n* `:max_height` - An integer maximum height for the output video.\n* `:bitrate` - An integer bitrate for the output video. Defaults to 500_000.\n* `:framerate` - An integer framerate (frames per second). Defaults to input framerate.","ref":"SilentVideo.Presets.html#web_1/3"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}